/**
 * XActRelationshipEntryRelationship2.java
 *
 * File generated from the medication2::XActRelationshipEntryRelationship2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActRelationshipEntryRelationship2.
 *
 * 
 */

@XmlType(name = "XActRelationshipEntryRelationship")
@XmlEnum
@XmlRootElement(name = "XActRelationshipEntryRelationship2")
public enum XActRelationshipEntryRelationship2 {
	@XmlEnumValue("XCRPT")
	XCRPT("XCRPT"),
	@XmlEnumValue("COMP")
	COMP("COMP"),
	@XmlEnumValue("RSON")
	RSON("RSON"),
	@XmlEnumValue("SPRT")
	SPRT("SPRT"),
	@XmlEnumValue("CAUS")
	CAUS("CAUS"),
	@XmlEnumValue("GEVL")
	GEVL("GEVL"),
	@XmlEnumValue("MFST")
	MFST("MFST"),
	@XmlEnumValue("REFR")
	REFR("REFR"),
	@XmlEnumValue("SAS")
	SAS("SAS"),
	@XmlEnumValue("SUBJ")
	SUBJ("SUBJ");
	
	private final String value;

    XActRelationshipEntryRelationship2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XActRelationshipEntryRelationship2 fromValue(String v) {
        for (XActRelationshipEntryRelationship2 c: XActRelationshipEntryRelationship2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
